function [yk,ymin,ymax,yname] = funh(xk)
% FUNH  Sample measurement equation
%
% Syntax for inital info (no input arguments):
%   [Ynom,Ymin,Ymax,Yname] = funh
% where:
%   Ynom        nominal value [n_y,1]
%   Ymax,Ymin   range of values [n_y,1]
%   YName       string-names for elements in y
%                   Yname{1} = 'name of y_1', etc.
%
% Syntax for system measurement equation:
%   Yk = funh(Xk)
% where:
%   Yk  system output [n_y,N]
%   Xk  system input [n_x,N]
%   N   batch size
%
% See FUNF

% Enso 6/2007

% nominal values
% --------------
if nargin==0
    [ans,xn,ans,xmin,xmax] = funf;    % read nominal state
    % 
    yk = xn(1);     % nominal y
    ymin = xmin(1);
    ymax = xmax(1);
    yname = {'measured variable'};
    return;
end

% system measurement equation
% ---------------------------
% xk can contain many states (one/column)
yk = xk(1,:);
