function COORD = gcm_allpnts_int(HC,dim,Coord)
% GCM_ALLPNTS_INT Create indexes to all elements in a hypercube 
%   where each dimesion	contains HC(i) elements
%
%	COORD = gcm_allpnts_int(HC)
%
% HC    vector of # elements for each dimension [1,m]
% COORD a list of all different combinations of vector elements [prod(HC), m]
%       Each row lists the indexes to one combination.

% EI 10/2002

if nargin<2, dim=1; Coord=[]; end

COORD = [];
Coord0 = Coord;
for ele=0:HC(dim)-1
	if HC(dim)>1, nc = ele+1;
	else nc =1;
	end
	Coord = [Coord0 nc];
	if dim~=length(HC)
		NewCOORD = gcm_allpnts_int(HC,dim+1,Coord);
		COORD = [COORD;NewCOORD];
	else
		COORD = [COORD;Coord];
	end
end

