function [m,ydk] = gcm_estimate_y(ymk,Plant,p_x)
% GCM_ESTIMATE_Y    Estimate plant output
%   [m,ydk] = gcm_estimate_y(ymk,Plant,<p_x>)
% m     m(k) measurement index
% ydk   estimated y(k), in discrete space
% ymk   measured y(k)
%
% If third argument is given, a ML estimate is constructed
% p_x   p_x(k) current state pdf

% Enso 11/2006

% Estimate plant output
if nargin==2
    % use measured output
    m = gcm_x2s(ymk,Plant.Yref);
else
    % ML-based estimate of output
    p_y = Plant.h.L*p_x;
    m_e = find(p_y==max(p_y)); m_e=m_e(1);  
    m = m_e;
end
ydk = Plant.Yref(:,m);