function gcm_pplot(pp,ya,xa)
% GCM_PPLOT Plot a trajectory of probabilities in gray scale
%   gcm_pplot(pp)

% Enso 10/2006; 8/2007

%MAP=colormap('gray'); MAP(64,:)=[0 1 1]; colormap(MAP);    % bw with magenta 0's
colormap('colorcube');  % multicolor
[S,K] = size(pp);
if nargin<3, 
    xa = [1:K];
end
if nargin<2
    ya = [1:S]; 
end

% image
image(xa,ya,(1-pp)*64);
set(gca,'ydir','normal');

% axes
settics('ytick',ya);
settics('xtick',xa);

% axis labels
xlabel('k');
ylabel('p');

% colorbar
h = colorbar;
set(h,'ytick',[1:6.4:64]','yticklabel',[1:-0.1:0]);

% ---------------------------
function settics(tickstr,ya)
if length(ya)<6, set(gca,tickstr,ya); 
elseif length(ya)<20, set(gca,tickstr,ya(1:5:length(ya))); 
elseif length(ya)<40, set(gca,tickstr,ya(1:10:length(ya))); 
else
    lya = length(ya);
    set(gca,tickstr,[ya(1) ya(lya)]); 
end
