function [ppp,In] = gcm_project(pp,Xref,ip)
% Project states
%   [ppp,In] = gcm_project( pp, Xref, <ip> )
% pp    a vector [S,1] or a matrix [S,N] of state probabilities
% Xref  reference points [I,S]
% ip    projection direction (scalar index of dimension in Xref), ip = {1,2,...,I}
%       default: ip=1
%
% ppp   projected state probability vector or matrix
% In    list of discrete values for output, i.e. Xref(ip,:)

% Enso 10/2006

if nargin<3, ip=1; end

In = gcm_get_partitions(Xref(ip,:));
lIn = length(In);
for i=1:lIn
    j = find(Xref(ip,:)==In(i));
    if length(j)>1
        ppp(i,:) = sum(pp(j,:));
    else
        ppp(i,:) = pp(j,:);
    end
end

