function [s,t]=sec2time(sec,t0);
%SEC2TIME	Convert seconds to secs,mins,hours etc...
%
%	[s,t] = sec2time(sec)
%	[s,t] = sec2time(sec,t0)	add sec seconds to t0
%
%s	time/date string
%t	time vector [yy mm dd hh mm ss]
%
%Does not work over month boundaries!
%
%See also DATESTR, "datestr(now)" produces a date/clock string

if nargin==2
	t00=clock;
    t00=[t00(1:2) 0 0 0 0];  % start from the first day of the month
	sec0=etime(t0,t00); % seconds elapsed between t00 to t0
	sec=sec0+sec;       % add sec seconds
end

sec = round(sec);
t=zeros(1,6);
% Convert from seconds to secs, mins, hours, etc.
bases=cumprod([1 60 60 24 30 12]);
bases=bases(6:-1:1);
%keyboard
for i=3:6
	t(i)=fix(sec/bases(i));
	sec=sec-t(i)*bases(i);
end
if nargin>1,t(1:2)=t0(1:2);end

% Create string
for i=1:6, if (t(i)~=0), break; end, end
if i==6, T=t(6);
elseif i==5, T=t(5:6);
elseif i==4, T=t(4:6);
else, T=[t(4:6) t(3) t(2) t(1)];
end
s=sprintf('%2d:%02d:%02d %d/%d/%d-',T);
s=s(1:length(s)-1);
