function gcm_sim_plot(Plant,Cost,Sim);
% GCM_SIM_PLOT  Plot info in Sim
%   gcm_sim_plot(Plant,Cost,Sim);

% read sizes
kk = [1:size(Sim.XX_s,1)]';
[n_w,Q] = size(Plant.Wref);
[n_y,M] = size(Plant.Yref);
[n_x,S] = size(Plant.Xref);
[n_u,A] = size(Plant.Uref);

% states, at left
for sp=1:n_x
    subplot(n_x,2,2*sp-1)
    gcm_plotx(Plant.Ts,Plant.Xref(sp,:),Sim.XX_m(kk,sp),Sim.XX_d(kk,sp));
    %ylabel(sprintf('x_{%d}',sp));
    ylabel(sprintf('%s',Plant.Xname{sp}));
    %hp=legend('est.','true'); set(hp,'fontsize',8);
    if sp==n_x, xlabel('time'); end
end

% outputs, at top right
for sp=1:n_y
    subplot(n_y+n_u,2,2*sp);
    gcm_plotx(Plant.Ts,Plant.Yref(sp,:),Sim.YY_m(kk,sp),Sim.YY_d(kk,sp),Sim.WW(kk,sp));
    ylabel(sprintf('%s',Plant.Yname{sp}));
    %if n_y==1, ylabel('y')
    %else, ylabel(sprintf('y_{%d}',sp))
    %end
    %hp=legend('target','outp.'); set(hp,'fontsize',8);
    %title(sprintf('RMSE r/d: %1.3g/%1.3g MCTG:%1.3g',Sim.rmse_rd(1),Sim.rmse_rd(2),Sim.mctg))
end

% controls, at bottom right
for sp=1:n_u
    subplot(n_y+n_u,2,2*n_y+2*sp);
    gcm_plotx(Plant.Ts,Plant.Uref(sp,:),Sim.UU(kk,sp));
    ylabel(sprintf('%s',Plant.Uname{sp}));

    %if n_u==1, ylabel('u')
    %else, ylabel(sprintf('u_{%d}',sp))
    %end
    if sp==n_u, xlabel('time'); end
end
gcm_ff