function gcm_sim_plot_io(Plant,Cost,Sim);
% GCM_SIM_PLOT  Plot info in Sim, IO only
%   gcm_sim_plot_io(Plant,Cost,Sim);

% read sizes
kk = [1:size(Sim.XX_s,1)]';
[n_w,Q] = size(Plant.Wref);
[n_y,M] = size(Plant.Yref);
[n_x,S] = size(Plant.Xref);
[n_u,A] = size(Plant.Uref);

% # plots to make
iu = find(var(Sim.UU)); % plot only if there is some variance
n_u = length(iu);

% outputs, at top 
for sp=1:n_y
    subplot(n_y+n_u,1,sp);
    gcm_plotx(Plant.Ts,Plant.Yref(sp,:),Sim.YY_m(kk,sp),Sim.YY_d(kk,sp),Sim.WW(kk,sp));
    if n_y==1, ylabel('y')
    else, ylabel(sprintf('y_{%d}',sp))
    end
    %hp=legend('target','outp.'); set(hp,'fontsize',8);
    %title(sprintf('RMSE r/d: %1.3g/%1.3g MCTG:%1.3g',Sim.rmse_rd(1),Sim.rmse_rd(2),Sim.mctg))
end

% controls, at bottom right
for sp=1:n_u
    spuu = iu(sp);
    subplot(n_y+n_u,1,n_y+sp);
    gcm_plotx(Plant.Ts,Plant.Uref(sp,:),Sim.UU(kk,spuu));
    if n_u==1, ylabel('u')
    else, ylabel(sprintf('u_{%d}',spuu))
    end
    if sp==n_u, xlabel('time'); end
end
gcm_ff