function [nz,n,m]=spsize(M)
% SPSIZE    Get size of a (sparse) variable
%
%   [nz,n,m] = spsize(M)
%
% nz    an approximate estimate of the number of reserved
%       nonzero elements in sparse matrix M
% n,m   rows and columns in sparse matrix M

% Enso 10/2006
s = whos;
for i=1:length(s)
    if strcmp(s(i).name,'M')
        nz = ceil((s(i).bytes-64)/12);  % approximate exprimental estimate
        nz = max(nz,20);
        n = s.size(1);
        m = s.size(2);
        return;
    end
end