function O = gcm_v2v(I,r,c)
% GCM_V2V   Convert from vector to matrix and vice versa
%
%   V = gcm_v2v(M,<r>,<c>)
%   M = gcm_v2v(V,r,<c>)
%
% where the output matrix is of size r x c.

% EI 8/2007

[n,m] = size(I);
if m>1
    % convert x from a matrix to a long vector
    if nargin>1, if n*m~=r, error('vector size mismatch'); end; end
    if nargin>2, if c~=1, error('in matrix to vector conversions, c must be 1'); end; end
    O = zeros(n*m,1);
    O(:) = I;
elseif nargin==1
    % no nothing
    O=I; 
    return;
else
    % convert from vector to a matrix
    if rem(n,r), error('vector size mismatch'); end
    cc = n/r;
    if nargin>2, if cc~=c, error('vector size mismatch'); end; end
    O = zeros(r,cc);
    O(:) = I;
end
