function [Sink,BOFA,Sim]=gcmcla(Plant,Cost,Sim)
% GCMCLA    Collection of closed-loop analysis tools
%
%   [Sink,BOFA,Sim]=gcmcla(Plant,Cost,Sim)


% closed-loop map
Plant_cl = gcmclosed(Plant,Cost);

% stability
Sink = gcmstability(Plant_cl);
figure(1);
gcmstability(Sink);

% indexes to unstable states
Q = length(Cost);
for q=1:Q 
    disp('---------------------------------------------------')
    unstab{q}=find(Sink(q,:)); 
    disp(sprintf('UNSTABLE STATES for q=%d:',q));
    gcm_dispref(unstab{q},Plant.Xref);
end

% basin-of-attraction
BOFA = gcmbofa(Plant_cl);
figure(2);
gcmbofa(BOFA);

% simulation
if nargin>2
    figure(3);
    Sim = gcmsim(Plant,Cost,Sim);
end

% general info
gcmdisp(Plant);
gcmdisp(Cost);
