function [Gr,P,St,g]=unrav_ng(z,b,m,g,C,Gr,P,St)
% Subroutine NEWG for the unravelling algorithm
%
%	[Gr,P,St,g]=unrav_ng(z,b,m,g,C,Gr,P,St)

i = 0;
d = z;

if b==d
	g = g+1;	% increment cell group number
	e = z;
	
	Gr(e,1) = g;
	P(e,1) = m;
	St(e,1) = 0;

	for j=1:m-1
		e = C(e);
		Gr(e,1) = g;
		P(e,1) = m;
		St(e,1)=0;
	end
else
	i = i+1;
	d = C(d);

	while( ~(b==d) )	% Determine period
		i=i+1;
		d=C(d);
	end

	g = g+1;
	p = m-i;
	e = z;

	Gr(e,1) = g;
	P(e,1) = p;
	St(e,1) = i;

	for j=1:i-1
		e = C(e);
		Gr(e,1) = g;
		P(e,1) = p;
		St(e,1) = i-j;
	end

	for j=i:m-1
		e = C(e);
		Gr(e,1)=g;
		P(e,1) = p;
		St(e,1) = 0;
	end
end