function [Xk1,Xnom,Unom,Xmin,Xmax,Umin,Umax,Xnames,Unames] = vdvf5(Xk,Uk,Ts)
% Sample vdvdiffeq Ts time units ahead.
% Xk1 = vdvf4(Xk,Uk,Ts)
%
% Initial info:
% [Ts,Xnom,Unom,Xmin,Xmax,Umin,Umax,Xnames,Unames] = vdvf4;

if nargin==0
    Ts = 20/(60*60); % h
    Unom = [14.2;-1113.5];
    %Xnom = vdvss(Unom(1)); 
    Xnom = [2.141;1.0903;114.1913;112.9068];
    Xnom(5) = 104.9;
    % four-state version of the model
    %Xnom = Xnom(1:2);
    Xmin = [0; 0; 100; 100; 100];
    Xmax = [4; 1.5; 125; 125; 115];
    Umin = [1; -9000];
    Umax = [20; 0];
    Xnames ={'c_A', 'c_B','v','v_K','v_0'};
    Unames = {'V/V_R','QdotK'};
    Xk1 = Ts;
    return;
end

funhan = @vdvdv5;
Xk1 = gcm_vodesolver(funhan,Xk,Uk,Ts);
