% Parameter values for the VDV process

% collision factors [1/h],[1/h],[1/(mol h)]
k_0 = [1.287e12 1.287e12 9.043e9];
% activation energies [K]
E = [-9758.3 -9758.3 -8560];
% enthalpies [kJ/mol]
dH_RAB = 4.2;
dH_RBC = -11.0;
dH_RAD = -41.85;
% density [kg/l]
ro = 0.9342; %e-4;
% heat capacity [kJkg/K]
C_p = 3.01;
% heat transfer coefficient for cooling jacket [kJ/(h m^2 K)]
k_w = 4032;
% cooling jacket surface [m^2]
A_R = 0.215;
% reactor volume [m^3]
V_R = 0.01;
% coolant mass [kg]
m_K = 5.0;
% heat capacity of coolant [kJ/(kg K)]
C_PK = 2.0;

% nominal steady-state point (optimal yield)
% input concentration
c_A0 = 5.10;			% mol/l 
% feed temperature
v_0 = 104.9;			% C 
% feed flow
Vdot = 14.19 * V_R;	% 1/h * m^3
% heat removal
Qdot_K = -1113.5;		% kJ/h